Bug 90081 - aspell/ispell grows without bounds on files that end in .html
aspell/ispell grows without bounds on files that end in .html
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: aspell (Show other bugs)
9
All Linux
high Severity high
: ---
: ---
Assigned To: Eido Inoue
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-02 01:57 EDT by Landon Curt Noll
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-23 12:30:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Landon Curt Noll 2003-05-02 01:57:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
The aspell / ispell tool, when given a a file with simple HTML
will grow memory without bounds and fail to check the file.


Version-Release number of selected component (if applicable):
aspell-0.33.7.1-21

How reproducible:
Always

Steps to Reproduce:
1.cat >foo.html<<EOF
<html>
<head>
<title>title of page</title>
</head>
<body>
Some text in the body.
</body>
</html>
EOF
2.aspell -c foo.html
3.aspell -c -H foo.html
4.ispell foo.html

    

Actual Results:  The aspell / ispell tool hangs while growing memory without bounds:

strace -p 13598

...
brk(0x1466f000)                         = 0x1466f000
brk(0)                                  = 0x1466f000
brk(0x14670000)                         = 0x14670000
brk(0)                                  = 0x14670000
brk(0x14671000)                         = 0x14671000
brk(0)                                  = 0x14671000
brk(0x14672000)                         = 0x14672000
brk(0)                                  = 0x14672000
brk(0x14673000)                         = 0x14673000
brk(0)                                  = 0x14673000
brk(0x14674000)                         = 0x14674000
brk(0)                                  = 0x14674000
brk(0x14675000)                         = 0x14675000
brk(0)                                  = 0x14675000
brk(0x14676000)                         = 0x14676000
brk(0)                                  = 0x14676000
brk(0x14677000)                         = 0x14677000
brk(0)                                  = 0x14677000
brk(0x14678000)                         = 0x14678000
brk(0)                                  = 0x14678000
...

Expected Results:  The foo.html file is spell checked.

Additional info:

This bug differs from bug #86033.  The hang
happens with and without -H.

This bug differs from bug #79416.  The file
does not need an & to get aspell/ispell to hang.
Comment 1 Landon Curt Noll 2003-05-02 02:10:37 EDT
I had written this bug thinking it was the content of the file
that caused aspell/ispell to hang.  Then while submitting the
bug I (for grins) ran a spell check on the bug content and found
to my surprise, that aspell/ispell worked even though the bug
report contained HTML!

Doing a little more investigation showed that it is the filename,
not the contents, that causes aspell/ispell to hang.

It one does:

    cp foo.html foo

then:

    aspell -c foo
    ispell foo

works.  However:

    aspell -c -H foo

hangs.

I presume ispell foo.html converts into
aspell -c -H foo.html which triggers the bug.
Comment 2 Eido Inoue 2003-05-23 12:30:36 EDT
should be fixed with upgrade to 0.50

Note You need to log in before you can comment on or make changes to this bug.